org.jboss.jca.codegenerator

## Class ConfigPropType

- java.lang.Object
- - org.jboss.jca.codegenerator.ConfigPropType

-     public class ConfigPropType
      extends java.lang.Object

  A ConfigPropType.
  Version:
    $Revision: $
  Author:
    Jeff Zhang

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigPropType()` constructor
    `ConfigPropType(java.lang.String name, java.lang.String type, java.lang.String value, boolean required)` constructor with initial value

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Get the name.
    `java.lang.String` | `getType()` Get the type.
    `java.lang.String` | `getValue()` Get the value.
    `boolean` | `isRequired()` Get the required.
    `void` | `setName(java.lang.String name)` Set the name.
    `void` | `setRequired(boolean required)` Set the required.
    `void` | `setType(java.lang.String type)` Set the type.
    `void` | `setValue(java.lang.String value)` Set the value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigPropType

          public ConfigPropType()

      constructor

    - #### ConfigPropType

          public ConfigPropType(java.lang.String name,
                                java.lang.String type,
                                java.lang.String value,
                                boolean required)

      constructor with initial value
      Parameters:
        `name` - The name to set.
        `type` - The type to set.
        `value` - The value to set.
        `required` - The required to set.

  - ### Method Detail

    - #### setName

          public void setName(java.lang.String name)

      Set the name.
      Parameters:
        `name` - The name to set.

    - #### getName

          public java.lang.String getName()

      Get the name.
      Returns:
        the name.

    - #### setType

          public void setType(java.lang.String type)

      Set the type.
      Parameters:
        `type` - The type to set.

    - #### getType

          public java.lang.String getType()

      Get the type.
      Returns:
        the type.

    - #### setValue

          public void setValue(java.lang.String value)

      Set the value.
      Parameters:
        `value` - The value to set.

    - #### getValue

          public java.lang.String getValue()

      Get the value.
      Returns:
        the value.

    - #### setRequired

          public void setRequired(boolean required)

      Set the required.
      Parameters:
        `required` - The required to set.

    - #### isRequired

          public boolean isRequired()

      Get the required.
      Returns:
        the required.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)